!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(3041)%branchR2(0:0))
      call avR2(3041, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(2686)%branchR2(0:0))
      call avR2(2686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2783)%branchR2(0:0))
      call avR2(2783, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(1880)%branchR2(0:0))
      call avR2(1880, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2558)%branchR2(0:0))
      call avR2(2558, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(3674)%branchR2(0:5))
      call avR2(3674, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3674, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3674, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3674, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3674, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3674, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(2518)%branchR2(0:0))
      call avR2(2518, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1575)%branchR2(0:0))
      call avR2(1575, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1781/))

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3675)%branchR2(0:0))
      call avR2(3675, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(2767)%branchR2(0:0))
      call avR2(2767, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1911/))

      allocate(vertices(1428)%branchR2(0:0))
      call avR2(1428, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(1732)%branchR2(0:0))
      call avR2(1732, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1430)%branchR2(0:1))
      call avR2(1430, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1430, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2882)%branchR2(0:0))
      call avR2(2882, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(2287)%branchR2(0:0))
      call avR2(2287, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(3676)%branchR2(0:1))
      call avR2(3676, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2207/))

      call avR2(3676, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3358)%branchR2(0:0))
      call avR2(3358, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3677)%branchR2(0:1))
      call avR2(3677, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3677, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(3678)%branchR2(0:1))
      call avR2(3678, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3678, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2719)%branchR2(0:0))
      call avR2(2719, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(2572)%branchR2(0:0))
      call avR2(2572, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(2071)%branchR2(0:0))
      call avR2(2071, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(544)%branchR2(0:1))
      call avR2(544, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972/))

      call avR2(544, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2678)%branchR2(0:0))
      call avR2(2678, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1535)%branchR2(0:0))
      call avR2(1535, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1809)%branchR2(0:0))
      call avR2(1809, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(2494)%branchR2(0:0))
      call avR2(2494, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(871)%branchR2(0:3))
      call avR2(871, 0, 27, 1, 0, FVFa0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(871, 1, 27, 1, 0, FVFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(871, 2, 26, 1, 0, FVFa0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(871, 3, 26, 1, 0, FVFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(3679)%branchR2(0:1))
      call avR2(3679, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2165/))

      call avR2(3679, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(1603)%branchR2(0:0))
      call avR2(1603, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(2360)%branchR2(0:1))
      call avR2(2360, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1974/))

      call avR2(2360, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2177)%branchR2(0:1))
      call avR2(2177, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(2177, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(2924)%branchR2(0:0))
      call avR2(2924, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3258/))

      allocate(vertices(3531)%branchR2(0:0))
      call avR2(3531, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(2828)%branchR2(0:0))
      call avR2(2828, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(612)%branchR2(0:0))
      call avR2(612, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1619)%branchR2(0:3))
      call avR2(1619, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1619, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1619, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1619, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(3378)%branchR2(0:1))
      call avR2(3378, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_1706, nGC_1704,        &
      nGC_1705/))

      call avR2(3378, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_1703, nGC_1701,        &
      nGC_1702/))

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3680)%branchR2(0:0))
      call avR2(3680, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2970)%branchR2(0:0))
      call avR2(2970, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1983)%branchR2(0:1))
      call avR2(1983, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1983, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2198)%branchR2(0:0))
      call avR2(2198, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(3068)%branchR2(0:0))
      call avR2(3068, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(803)%branchR2(0:0))
      call avR2(803, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(2931)%branchR2(0:0))
      call avR2(2931, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3408)%branchR2(0:0))
      call avR2(3408, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2244)%branchR2(0:1))
      call avR2(2244, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2244, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3681)%branchR2(0:0))
      call avR2(3681, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1344)%branchR2(0:0))
      call avR2(1344, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2373)%branchR2(0:0))
      call avR2(2373, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(288)%branchR2(0:0))
      call avR2(288, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2395)%branchR2(0:0))
      call avR2(2395, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1258)%branchR2(0:1))
      call avR2(1258, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(1258, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(1864)%branchR2(0:0))
      call avR2(1864, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2432)%branchR2(0:1))
      call avR2(2432, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1972/))

      call avR2(2432, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1625)%branchR2(0:0))
      call avR2(1625, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(959)%branchR2(0:1))
      call avR2(959, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(959, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(3682)%branchR2(0:0))
      call avR2(3682, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2436)%branchR2(0:0))
      call avR2(2436, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(60)%branchR2(0:1))
      call avR2(60, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(60, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1873)%branchR2(0:0))
      call avR2(1873, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(3683)%branchR2(0:1))
      call avR2(3683, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2166/))

      call avR2(3683, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3685)%branchR2(0:1))
      call avR2(3685, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      call avR2(3685, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(1557)%branchR2(0:1))
      call avR2(1557, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1557, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(3228)%branchR2(0:0))
      call avR2(3228, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3373)%branchR2(0:0))
      call avR2(3373, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3357)%branchR2(0:0))
      call avR2(3357, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1713, nGC_1713/))

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2200,       &
      nGC_2202/))

      allocate(vertices(1847)%branchR2(0:1))
      call avR2(1847, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1847, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2092)%branchR2(0:0))
      call avR2(2092, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(413)%branchR2(0:1))
      call avR2(413, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(413, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(3686)%branchR2(0:0))
      call avR2(3686, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2054,       &
      nGC_2054/))

      allocate(vertices(296)%branchR2(0:1))
      call avR2(296, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(296, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3317)%branchR2(0:0))
      call avR2(3317, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2975)%branchR2(0:0))
      call avR2(2975, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1470)%branchR2(0:0))
      call avR2(1470, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(255)%branchR2(0:1))
      call avR2(255, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(255, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(458)%branchR2(0:1))
      call avR2(458, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(458, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(855)%branchR2(0:0))
      call avR2(855, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3259/))

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1596)%branchR2(0:0))
      call avR2(1596, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2843)%branchR2(0:0))
      call avR2(2843, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(3558)%branchR2(0:0))
      call avR2(3558, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(1077)%branchR2(0:0))
      call avR2(1077, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2158)%branchR2(0:0))
      call avR2(2158, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(2580)%branchR2(0:0))
      call avR2(2580, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1782/))

      allocate(vertices(785)%branchR2(0:0))
      call avR2(785, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1217)%branchR2(0:0))
      call avR2(1217, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2914)%branchR2(0:0))
      call avR2(2914, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1667, nGC_1665,        &
      nGC_1666/))

      allocate(vertices(1731)%branchR2(0:0))
      call avR2(1731, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1440)%branchR2(0:0))
      call avR2(1440, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2301)%branchR2(0:0))
      call avR2(2301, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(3687)%branchR2(0:1))
      call avR2(3687, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2207/))

      call avR2(3687, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1598)%branchR2(0:0))
      call avR2(1598, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(2214)%branchR2(0:0))
      call avR2(2214, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2498)%branchR2(0:0))
      call avR2(2498, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1442)%branchR2(0:0))
      call avR2(1442, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(1115)%branchR2(0:0))
      call avR2(1115, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1965)%branchR2(0:0))
      call avR2(1965, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(2248)%branchR2(0:0))
      call avR2(2248, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(2245)%branchR2(0:1))
      call avR2(2245, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2245, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3023)%branchR2(0:0))
      call avR2(3023, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1702)%branchR2(0:0))
      call avR2(1702, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3688)%branchR2(0:0))
      call avR2(3688, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2296)%branchR2(0:0))
      call avR2(2296, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1991)%branchR2(0:0))
      call avR2(1991, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1691)%branchR2(0:0))
      call avR2(1691, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2090)%branchR2(0:3))
      call avR2(2090, 0, 27, 1, 0, FVFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2090, 1, 27, 1, 0, FVFa0, (/1, 2/), (/nGC_2008, nGC_2009/))

      call avR2(2090, 2, 26, 1, 0, FVFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2090, 3, 26, 1, 0, FVFa0, (/1, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3402)%branchR2(0:0))
      call avR2(3402, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3534)%branchR2(0:0))
      call avR2(3534, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3222)%branchR2(0:0))
      call avR2(3222, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3084)%branchR2(0:0))
      call avR2(3084, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3249)%branchR2(0:0))
      call avR2(3249, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1784)%branchR2(0:1))
      call avR2(1784, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1972/))

      call avR2(1784, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1827)%branchR2(0:1))
      call avR2(1827, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(1827, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(149)%branchR2(0:0))
      call avR2(149, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3115)%branchR2(0:0))
      call avR2(3115, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2305)%branchR2(0:1))
      call avR2(2305, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(2305, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(641)%branchR2(0:0))
      call avR2(641, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3689)%branchR2(0:1))
      call avR2(3689, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2153/))

      call avR2(3689, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3690)%branchR2(0:1))
      call avR2(3690, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3690, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3448)%branchR2(0:0))
      call avR2(3448, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(565)%branchR2(0:1))
      call avR2(565, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(565, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(752)%branchR2(0:1))
      call avR2(752, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(752, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(893)%branchR2(0:0))
      call avR2(893, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(3691)%branchR2(0:0))
      call avR2(3691, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2054,       &
      nGC_2053/))

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(3692)%branchR2(0:1))
      call avR2(3692, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2208/))

      call avR2(3692, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2207/))

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(196)%branchR2(0:1))
      call avR2(196, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(196, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(1264)%branchR2(0:1))
      call avR2(1264, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1264, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3693)%branchR2(0:0))
      call avR2(3693, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1155)%branchR2(0:0))
      call avR2(1155, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3234)%branchR2(0:0))
      call avR2(3234, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(237)%branchR2(0:1))
      call avR2(237, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(237, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(2011)%branchR2(0:0))
      call avR2(2011, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(3694)%branchR2(0:0))
      call avR2(3694, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2365)%branchR2(0:0))
      call avR2(2365, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(3695)%branchR2(0:0))
      call avR2(3695, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2459)%branchR2(0:0))
      call avR2(2459, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(473)%branchR2(0:0))
      call avR2(473, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1720)%branchR2(0:0))
      call avR2(1720, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1981)%branchR2(0:0))
      call avR2(1981, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(2942)%branchR2(0:0))
      call avR2(2942, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(948)%branchR2(0:3))
      call avR2(948, 0, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(948, 1, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(948, 2, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(948, 3, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(3696)%branchR2(0:1))
      call avR2(3696, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3696, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(3186)%branchR2(0:0))
      call avR2(3186, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(434)%branchR2(0:1))
      call avR2(434, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(434, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(786)%branchR2(0:0))
      call avR2(786, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(3412)%branchR2(0:0))
      call avR2(3412, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1074)%branchR2(0:0))
      call avR2(1074, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(1342)%branchR2(0:0))
      call avR2(1342, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(396)%branchR2(0:0))
      call avR2(396, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(3403)%branchR2(0:0))
      call avR2(3403, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1674, nGC_1673/))

      allocate(vertices(129)%branchR2(0:0))
      call avR2(129, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(694)%branchR2(0:0))
      call avR2(694, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3697)%branchR2(0:0))
      call avR2(3697, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(3097)%branchR2(0:0))
      call avR2(3097, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1288)%branchR2(0:0))
      call avR2(1288, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3179)%branchR2(0:0))
      call avR2(3179, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2423)%branchR2(0:0))
      call avR2(2423, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(21)%branchR2(0:1))
      call avR2(21, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(21, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(3159)%branchR2(0:0))
      call avR2(3159, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2907)%branchR2(0:0))
      call avR2(2907, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2628)%branchR2(0:0))
      call avR2(2628, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3698)%branchR2(0:1))
      call avR2(3698, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3698, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(405)%branchR2(0:0))
      call avR2(405, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3571)%branchR2(0:0))
      call avR2(3571, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(3699)%branchR2(0:0))
      call avR2(3699, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(253)%branchR2(0:1))
      call avR2(253, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(253, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(710)%branchR2(0:1))
      call avR2(710, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(710, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(1987)%branchR2(0:0))
      call avR2(1987, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1365)%branchR2(0:0))
      call avR2(1365, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(540)%branchR2(0:1))
      call avR2(540, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(540, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1713)%branchR2(0:0))
      call avR2(1713, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2674)%branchR2(0:0))
      call avR2(2674, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3700)%branchR2(0:0))
      call avR2(3700, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(3494)%branchR2(0:0))
      call avR2(3494, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(543)%branchR2(0:0))
      call avR2(543, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2006)%branchR2(0:0))
      call avR2(2006, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2211)%branchR2(0:0))
      call avR2(2211, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(261)%branchR2(0:1))
      call avR2(261, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(261, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(1385)%branchR2(0:1))
      call avR2(1385, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1385, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2611)%branchR2(0:0))
      call avR2(2611, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1724)%branchR2(0:0))
      call avR2(1724, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(147)%branchR2(0:3))
      call avR2(147, 0, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(147, 1, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(147, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(147, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(3701)%branchR2(0:1))
      call avR2(3701, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3701, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(3702)%branchR2(0:0))
      call avR2(3702, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1749)%branchR2(0:0))
      call avR2(1749, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(915)%branchR2(0:0))
      call avR2(915, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2604)%branchR2(0:0))
      call avR2(2604, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(790)%branchR2(0:0))
      call avR2(790, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(3703)%branchR2(0:5))
      call avR2(3703, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3703, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3703, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3703, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3703, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3703, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(2356)%branchR2(0:0))
      call avR2(2356, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(450)%branchR2(0:0))
      call avR2(450, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3704)%branchR2(0:1))
      call avR2(3704, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1956/))

      call avR2(3704, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1957/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2627)%branchR2(0:0))
      call avR2(2627, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(248)%branchR2(0:0))
      call avR2(248, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,       &
      nGC_2043/))

      allocate(vertices(2528)%branchR2(0:0))
      call avR2(2528, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2487)%branchR2(0:0))
      call avR2(2487, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3705)%branchR2(0:0))
      call avR2(3705, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3706)%branchR2(0:1))
      call avR2(3706, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2183/))

      call avR2(3706, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2184/))

      allocate(vertices(541)%branchR2(0:0))
      call avR2(541, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1198)%branchR2(0:1))
      call avR2(1198, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1198, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1452)%branchR2(0:0))
      call avR2(1452, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2808)%branchR2(0:0))
      call avR2(2808, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(950)%branchR2(0:1))
      call avR2(950, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(950, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1510)%branchR2(0:0))
      call avR2(1510, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3707)%branchR2(0:0))
      call avR2(3707, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(1715)%branchR2(0:0))
      call avR2(1715, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3059)%branchR2(0:0))
      call avR2(3059, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(1517)%branchR2(0:0))
      call avR2(1517, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3250)%branchR2(0:0))
      call avR2(3250, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2440)%branchR2(0:0))
      call avR2(2440, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2884)%branchR2(0:0))
      call avR2(2884, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(3438)%branchR2(0:0))
      call avR2(3438, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(572)%branchR2(0:1))
      call avR2(572, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(572, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(3708)%branchR2(0:1))
      call avR2(3708, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      call avR2(3708, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1991/))

      allocate(vertices(3171)%branchR2(0:0))
      call avR2(3171, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1102)%branchR2(0:0))
      call avR2(1102, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(691)%branchR2(0:0))
      call avR2(691, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2689)%branchR2(0:0))
      call avR2(2689, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(3709)%branchR2(0:1))
      call avR2(3709, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3709, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(2714)%branchR2(0:0))
      call avR2(2714, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2515)%branchR2(0:1))
      call avR2(2515, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2515, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3710)%branchR2(0:1))
      call avR2(3710, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2166/))

      call avR2(3710, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(2733)%branchR2(0:0))
      call avR2(2733, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(345)%branchR2(0:1))
      call avR2(345, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(345, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2209)%branchR2(0:0))
      call avR2(2209, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(2304)%branchR2(0:0))
      call avR2(2304, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(3711)%branchR2(0:1))
      call avR2(3711, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2195/))

      call avR2(3711, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2196/))

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(62)%branchR2(0:1))
      call avR2(62, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(62, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1728)%branchR2(0:0))
      call avR2(1728, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2205,       &
      nGC_2206/))

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3305)%branchR2(0:0))
      call avR2(3305, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2043, nGC_2041,       &
      nGC_2042/))

      allocate(vertices(2398)%branchR2(0:0))
      call avR2(2398, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3712)%branchR2(0:1))
      call avR2(3712, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2199/))

      call avR2(3712, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2105)%branchR2(0:1))
      call avR2(2105, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2105, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2043, nGC_2042,       &
      nGC_2041/))

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2434)%branchR2(0:0))
      call avR2(2434, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1022)%branchR2(0:0))
      call avR2(1022, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(961)%branchR2(0:1))
      call avR2(961, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(961, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3188)%branchR2(0:0))
      call avR2(3188, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3713)%branchR2(0:1))
      call avR2(3713, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2118/))

      call avR2(3713, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(3161)%branchR2(0:0))
      call avR2(3161, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2087)%branchR2(0:0))
      call avR2(2087, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2606)%branchR2(0:0))
      call avR2(2606, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2950)%branchR2(0:0))
      call avR2(2950, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2215)%branchR2(0:0))
      call avR2(2215, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3227)%branchR2(0:0))
      call avR2(3227, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3174)%branchR2(0:0))
      call avR2(3174, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3074)%branchR2(0:0))
      call avR2(3074, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(562)%branchR2(0:1))
      call avR2(562, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(562, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(2010)%branchR2(0:1))
      call avR2(2010, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(2010, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(3714)%branchR2(0:0))
      call avR2(3714, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(193)%branchR2(0:0))
      call avR2(193, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3715)%branchR2(0:1))
      call avR2(3715, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2153/))

      call avR2(3715, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2154/))

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2962)%branchR2(0:0))
      call avR2(2962, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2921)%branchR2(0:0))
      call avR2(2921, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2620)%branchR2(0:0))
      call avR2(2620, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1875/))

      allocate(vertices(3716)%branchR2(0:0))
      call avR2(3716, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3717)%branchR2(0:0))
      call avR2(3717, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(3718)%branchR2(0:0))
      call avR2(3718, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(329)%branchR2(0:0))
      call avR2(329, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(143)%branchR2(0:0))
      call avR2(143, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(3719)%branchR2(0:1))
      call avR2(3719, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3719, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(875)%branchR2(0:0))
      call avR2(875, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3312)%branchR2(0:0))
      call avR2(3312, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3720)%branchR2(0:1))
      call avR2(3720, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2198/))

      call avR2(3720, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(3721)%branchR2(0:0))
      call avR2(3721, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1687)%branchR2(0:0))
      call avR2(1687, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(1941)%branchR2(0:0))
      call avR2(1941, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3294)%branchR2(0:0))
      call avR2(3294, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(2737)%branchR2(0:0))
      call avR2(2737, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1683, nGC_1681,        &
      nGC_1682/))

      allocate(vertices(278)%branchR2(0:1))
      call avR2(278, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(278, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(351)%branchR2(0:1))
      call avR2(351, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(351, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(2706)%branchR2(0:0))
      call avR2(2706, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1680, nGC_1679/))

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(3414)%branchR2(0:0))
      call avR2(3414, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1672, nGC_1671/))

      allocate(vertices(3095)%branchR2(0:0))
      call avR2(3095, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(3722)%branchR2(0:0))
      call avR2(3722, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2209, nGC_2209,       &
      nGC_2209/))

      allocate(vertices(1920)%branchR2(0:0))
      call avR2(1920, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(1683)%branchR2(0:0))
      call avR2(1683, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(207)%branchR2(0:0))
      call avR2(207, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1126)%branchR2(0:1))
      call avR2(1126, 0, 0, 1, 0, VVV0, (/3, 0/), (/nGC_3284/))

      call avR2(1126, 1, 1, 1, 0, VVV0, (/3, 0/), (/nGC_3285/))

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2125)%branchR2(0:0))
      call avR2(2125, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3723)%branchR2(0:1))
      call avR2(3723, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3723, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(1476)%branchR2(0:0))
      call avR2(1476, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1393)%branchR2(0:1))
      call avR2(1393, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1393, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(166)%branchR2(0:1))
      call avR2(166, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(166, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(2322)%branchR2(0:0))
      call avR2(2322, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3263)%branchR2(0:0))
      call avR2(3263, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3500)%branchR2(0:0))
      call avR2(3500, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_1698, nGC_1707,       &
      nGC_1707, nGC_1699/))

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(2326)%branchR2(0:0))
      call avR2(2326, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1356)%branchR2(0:1))
      call avR2(1356, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(1356, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3168)%branchR2(0:0))
      call avR2(3168, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1862/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1811)%branchR2(0:0))
      call avR2(1811, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(881)%branchR2(0:0))
      call avR2(881, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3078)%branchR2(0:0))
      call avR2(3078, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(3361)%branchR2(0:0))
      call avR2(3361, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(2605)%branchR2(0:1))
      call avR2(2605, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(2605, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(2187)%branchR2(0:0))
      call avR2(2187, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(970)%branchR2(0:1))
      call avR2(970, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(970, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(3725)%branchR2(0:1))
      call avR2(3725, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3725, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(355)%branchR2(0:1))
      call avR2(355, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(355, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(2746)%branchR2(0:0))
      call avR2(2746, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2127)%branchR2(0:1))
      call avR2(2127, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(2127, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3726)%branchR2(0:1))
      call avR2(3726, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3726, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(2865)%branchR2(0:0))
      call avR2(2865, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3727)%branchR2(0:0))
      call avR2(3727, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2953)%branchR2(0:0))
      call avR2(2953, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2416)%branchR2(0:1))
      call avR2(2416, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(2416, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2847)%branchR2(0:0))
      call avR2(2847, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1969)%branchR2(0:1))
      call avR2(1969, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(1969, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(3009)%branchR2(0:0))
      call avR2(3009, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3152)%branchR2(0:0))
      call avR2(3152, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1238)%branchR2(0:0))
      call avR2(1238, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3290)%branchR2(0:0))
      call avR2(3290, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3080)%branchR2(0:0))
      call avR2(3080, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3208)%branchR2(0:0))
      call avR2(3208, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2450)%branchR2(0:0))
      call avR2(2450, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3297)%branchR2(0:0))
      call avR2(3297, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(1296)%branchR2(0:0))
      call avR2(1296, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2228)%branchR2(0:0))
      call avR2(2228, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1466)%branchR2(0:1))
      call avR2(1466, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(1466, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2857)%branchR2(0:0))
      call avR2(2857, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2377)%branchR2(0:0))
      call avR2(2377, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2270)%branchR2(0:3))
      call avR2(2270, 0, 30, 1, 0, VFFa0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(2270, 1, 30, 1, 0, VFFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2270, 2, 31, 1, 0, VFFa0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(2270, 3, 31, 1, 0, VFFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(3728)%branchR2(0:1))
      call avR2(3728, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2154/))

      call avR2(3728, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2153/))

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2109)%branchR2(0:1))
      call avR2(2109, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1972/))

      call avR2(2109, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(3729)%branchR2(0:5))
      call avR2(3729, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3729, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3729, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3729, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2104, nGC_2104,      &
      nGC_2104/))

      call avR2(3729, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3729, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      allocate(vertices(366)%branchR2(0:1))
      call avR2(366, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(366, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(2328)%branchR2(0:0))
      call avR2(2328, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1280)%branchR2(0:0))
      call avR2(1280, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(1637)%branchR2(0:0))
      call avR2(1637, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1933)%branchR2(0:0))
      call avR2(1933, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3730)%branchR2(0:0))
      call avR2(3730, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(3323)%branchR2(0:0))
      call avR2(3323, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1713, nGC_1713/))

      allocate(vertices(1676)%branchR2(0:1))
      call avR2(1676, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1676, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(2153)%branchR2(0:0))
      call avR2(2153, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(231)%branchR2(0:1))
      call avR2(231, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(231, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(2989)%branchR2(0:0))
      call avR2(2989, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2371)%branchR2(0:0))
      call avR2(2371, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(3731)%branchR2(0:0))
      call avR2(3731, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(3732)%branchR2(0:0))
      call avR2(3732, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1038)%branchR2(0:0))
      call avR2(1038, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(3733)%branchR2(0:0))
      call avR2(3733, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3047)%branchR2(0:0))
      call avR2(3047, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(1655)%branchR2(0:0))
      call avR2(1655, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3126)%branchR2(0:0))
      call avR2(3126, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1422)%branchR2(0:0))
      call avR2(1422, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3734)%branchR2(0:1))
      call avR2(3734, 0, 48, 1, 0, VSV0, (/2, 1/), (/nGC_1957/))

      call avR2(3734, 1, 47, 1, 0, VSV0, (/2, 1/), (/nGC_1956/))

      allocate(vertices(474)%branchR2(0:0))
      call avR2(474, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(860)%branchR2(0:0))
      call avR2(860, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(491)%branchR2(0:1))
      call avR2(491, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1974/))

      call avR2(491, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1079)%branchR2(0:1))
      call avR2(1079, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1079, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(1403)%branchR2(0:0))
      call avR2(1403, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2286)%branchR2(0:0))
      call avR2(2286, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(3735)%branchR2(0:1))
      call avR2(3735, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2165/))

      call avR2(3735, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(1170)%branchR2(0:0))
      call avR2(1170, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(2570)%branchR2(0:1))
      call avR2(2570, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(2570, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(316)%branchR2(0:0))
      call avR2(316, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1123)%branchR2(0:0))
      call avR2(1123, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1617)%branchR2(0:0))
      call avR2(1617, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2999)%branchR2(0:0))
      call avR2(2999, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3736)%branchR2(0:1))
      call avR2(3736, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3736, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(3737)%branchR2(0:1))
      call avR2(3737, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3737, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1491)%branchR2(0:1))
      call avR2(1491, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(1491, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2716)%branchR2(0:0))
      call avR2(2716, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3738)%branchR2(0:0))
      call avR2(3738, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3739)%branchR2(0:0))
      call avR2(3739, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3740)%branchR2(0:5))
      call avR2(3740, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2104, nGC_2104,      &
      nGC_2104/))

      call avR2(3740, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3740, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3740, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3740, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3740, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      allocate(vertices(2982)%branchR2(0:0))
      call avR2(2982, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3176)%branchR2(0:0))
      call avR2(3176, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1618)%branchR2(0:0))
      call avR2(1618, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2200, nGC_2202,       &
      nGC_2201/))

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(3742)%branchR2(0:0))
      call avR2(3742, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(2458)%branchR2(0:1))
      call avR2(2458, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(2458, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3743)%branchR2(0:0))
      call avR2(3743, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(1725)%branchR2(0:0))
      call avR2(1725, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(1662)%branchR2(0:0))
      call avR2(1662, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(648)%branchR2(0:0))
      call avR2(648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1355)%branchR2(0:0))
      call avR2(1355, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(968)%branchR2(0:0))
      call avR2(968, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2626)%branchR2(0:0))
      call avR2(2626, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2140)%branchR2(0:0))
      call avR2(2140, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(1711)%branchR2(0:0))
      call avR2(1711, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3744)%branchR2(0:1))
      call avR2(3744, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2171/))

      call avR2(3744, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3299)%branchR2(0:0))
      call avR2(3299, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(794)%branchR2(0:1))
      call avR2(794, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(794, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2116)%branchR2(0:1))
      call avR2(2116, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2116, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(179)%branchR2(0:0))
      call avR2(179, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3076)%branchR2(0:0))
      call avR2(3076, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1295)%branchR2(0:0))
      call avR2(1295, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3563)%branchR2(0:0))
      call avR2(3563, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2973)%branchR2(0:0))
      call avR2(2973, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1676, nGC_1675/))

      allocate(vertices(633)%branchR2(0:0))
      call avR2(633, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1216)%branchR2(0:0))
      call avR2(1216, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2631)%branchR2(0:0))
      call avR2(2631, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(3745)%branchR2(0:0))
      call avR2(3745, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1178)%branchR2(0:1))
      call avR2(1178, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1974/))

      call avR2(1178, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2235)%branchR2(0:0))
      call avR2(2235, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1305)%branchR2(0:0))
      call avR2(1305, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2043,        &
      nGC_2041/))

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2197/))

      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(554)%branchR2(0:1))
      call avR2(554, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(554, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(3746)%branchR2(0:0))
      call avR2(3746, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2519)%branchR2(0:0))
      call avR2(2519, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(3747)%branchR2(0:0))
      call avR2(3747, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(3748)%branchR2(0:1))
      call avR2(3748, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2099/))

      call avR2(3748, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(1959)%branchR2(0:1))
      call avR2(1959, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1959, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(489)%branchR2(0:0))
      call avR2(489, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3749)%branchR2(0:0))
      call avR2(3749, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1653)%branchR2(0:1))
      call avR2(1653, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1653, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(601)%branchR2(0:0))
      call avR2(601, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1703)%branchR2(0:0))
      call avR2(1703, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2201,       &
      nGC_2200/))

      allocate(vertices(1966)%branchR2(0:0))
      call avR2(1966, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2060)%branchR2(0:0))
      call avR2(2060, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3543)%branchR2(0:0))
      call avR2(3543, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(1754)%branchR2(0:0))
      call avR2(1754, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1519)%branchR2(0:0))
      call avR2(1519, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(2545)%branchR2(0:1))
      call avR2(2545, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(2545, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(2439)%branchR2(0:1))
      call avR2(2439, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(2439, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(2946)%branchR2(0:0))
      call avR2(2946, 0, 13, 1, 0, FFa2, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1700, nGC_1700/))

      allocate(vertices(3164)%branchR2(0:0))
      call avR2(3164, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(759)%branchR2(0:0))
      call avR2(759, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2654)%branchR2(0:0))
      call avR2(2654, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(2201)%branchR2(0:0))
      call avR2(2201, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      call avR2(3750, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2211, nGC_2211,      &
      nGC_2211/))

      allocate(vertices(3751)%branchR2(0:0))
      call avR2(3751, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1673)%branchR2(0:1))
      call avR2(1673, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1673, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2052)%branchR2(0:0))
      call avR2(2052, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1989)%branchR2(0:0))
      call avR2(1989, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(685)%branchR2(0:1))
      call avR2(685, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(685, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2043,        &
      nGC_2041/))

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3400)%branchR2(0:0))
      call avR2(3400, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1660, nGC_1659/))

      allocate(vertices(139)%branchR2(0:0))
      call avR2(139, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(2922)%branchR2(0:0))
      call avR2(2922, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2890)%branchR2(0:0))
      call avR2(2890, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(666)%branchR2(0:0))
      call avR2(666, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(1282)%branchR2(0:0))
      call avR2(1282, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2288)%branchR2(0:0))
      call avR2(2288, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3406)%branchR2(0:0))
      call avR2(3406, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(1709)%branchR2(0:0))
      call avR2(1709, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(892)%branchR2(0:1))
      call avR2(892, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(892, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2980)%branchR2(0:0))
      call avR2(2980, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
