!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-04-03 14:56             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(876)%branchR2(0:0))
      call avR2(876, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1723)%branchR2(0:0))
      call avR2(1723, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(52)%branchR2(0:1))
      call avR2(52, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(52, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(2751)%branchR2(0:0))
      call avR2(2751, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1448)%branchR2(0:1))
      call avR2(1448, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1448, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2915)%branchR2(0:0))
      call avR2(2915, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3599)%branchR2(0:1))
      call avR2(3599, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2166/))

      call avR2(3599, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1991/))

      allocate(vertices(1697)%branchR2(0:0))
      call avR2(1697, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(335)%branchR2(0:0))
      call avR2(335, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2807)%branchR2(0:0))
      call avR2(2807, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(2422)%branchR2(0:0))
      call avR2(2422, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1506)%branchR2(0:1))
      call avR2(1506, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1506, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(102)%branchR2(0:1))
      call avR2(102, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(102, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(1553)%branchR2(0:0))
      call avR2(1553, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3600)%branchR2(0:1))
      call avR2(3600, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1927/))

      call avR2(3600, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1928/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1175)%branchR2(0:1))
      call avR2(1175, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(1175, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(2242)%branchR2(0:1))
      call avR2(2242, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(2242, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(1230)%branchR2(0:0))
      call avR2(1230, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(3601)%branchR2(0:1))
      call avR2(3601, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2098/))

      call avR2(3601, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3602)%branchR2(0:1))
      call avR2(3602, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2184/))

      call avR2(3602, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2183/))

      allocate(vertices(469)%branchR2(0:3))
      call avR2(469, 0, 29, 1, 0, VFaF0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(469, 1, 29, 1, 0, VFaF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(469, 2, 28, 1, 0, VFaF0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(469, 3, 28, 1, 0, VFaF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(401)%branchR2(0:0))
      call avR2(401, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2726)%branchR2(0:0))
      call avR2(2726, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(2956)%branchR2(0:0))
      call avR2(2956, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3603)%branchR2(0:0))
      call avR2(3603, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3467)%branchR2(0:0))
      call avR2(3467, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1945)%branchR2(0:0))
      call avR2(1945, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3544)%branchR2(0:0))
      call avR2(3544, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1065)%branchR2(0:0))
      call avR2(1065, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(371)%branchR2(0:1))
      call avR2(371, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(371, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(3109)%branchR2(0:0))
      call avR2(3109, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1160)%branchR2(0:0))
      call avR2(1160, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1826)%branchR2(0:0))
      call avR2(1826, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(485)%branchR2(0:0))
      call avR2(485, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2776)%branchR2(0:0))
      call avR2(2776, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1782)%branchR2(0:0))
      call avR2(1782, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3604)%branchR2(0:0))
      call avR2(3604, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(1112)%branchR2(0:0))
      call avR2(1112, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2062)%branchR2(0:0))
      call avR2(2062, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1529)%branchR2(0:0))
      call avR2(1529, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2460)%branchR2(0:1))
      call avR2(2460, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(2460, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1895)%branchR2(0:0))
      call avR2(1895, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(606)%branchR2(0:1))
      call avR2(606, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(606, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3062)%branchR2(0:0))
      call avR2(3062, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1936)%branchR2(0:3))
      call avR2(1936, 0, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1936, 1, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(1936, 2, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1936, 3, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2947)%branchR2(0:0))
      call avR2(2947, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(35)%branchR2(0:0))
      call avR2(35, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(566)%branchR2(0:0))
      call avR2(566, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1057)%branchR2(0:0))
      call avR2(1057, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3605)%branchR2(0:0))
      call avR2(3605, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2053, nGC_2054,       &
      nGC_2054/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2121)%branchR2(0:0))
      call avR2(2121, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,        &
      nGC_2078/))

      allocate(vertices(452)%branchR2(0:0))
      call avR2(452, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3607)%branchR2(0:1))
      call avR2(3607, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2117/))

      call avR2(3607, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2118/))

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3608)%branchR2(0:0))
      call avR2(3608, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(167)%branchR2(0:0))
      call avR2(167, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1823)%branchR2(0:0))
      call avR2(1823, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(503)%branchR2(0:0))
      call avR2(503, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3269)%branchR2(0:0))
      call avR2(3269, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3609)%branchR2(0:1))
      call avR2(3609, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2204, nGC_2204,      &
      nGC_2204/))

      call avR2(3609, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2203, nGC_2203,      &
      nGC_2203/))

      allocate(vertices(996)%branchR2(0:0))
      call avR2(996, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3020)%branchR2(0:0))
      call avR2(3020, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3610)%branchR2(0:1))
      call avR2(3610, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3610, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(310)%branchR2(0:0))
      call avR2(310, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(2918)%branchR2(0:0))
      call avR2(2918, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3058)%branchR2(0:0))
      call avR2(3058, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3447)%branchR2(0:0))
      call avR2(3447, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2644)%branchR2(0:0))
      call avR2(2644, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,       &
      nGC_2043/))

      allocate(vertices(3445)%branchR2(0:0))
      call avR2(3445, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1260)%branchR2(0:1))
      call avR2(1260, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(1260, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1970)%branchR2(0:0))
      call avR2(1970, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1221)%branchR2(0:1))
      call avR2(1221, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1221, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(3611)%branchR2(0:1))
      call avR2(3611, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3611, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(3612)%branchR2(0:1))
      call avR2(3612, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2211, nGC_2211,      &
      nGC_2211/))

      call avR2(3612, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      allocate(vertices(3613)%branchR2(0:0))
      call avR2(3613, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(1867)%branchR2(0:0))
      call avR2(1867, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(818)%branchR2(0:0))
      call avR2(818, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(2587)%branchR2(0:3))
      call avR2(2587, 0, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(2587, 1, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2587, 2, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2587, 3, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(11)%branchR2(0:1))
      call avR2(11, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972/))

      call avR2(11, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3614)%branchR2(0:1))
      call avR2(3614, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2117/))

      call avR2(3614, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2118/))

      allocate(vertices(1613)%branchR2(0:0))
      call avR2(1613, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,       &
      nGC_2043/))

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3615)%branchR2(0:0))
      call avR2(3615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1387)%branchR2(0:1))
      call avR2(1387, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(1387, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3616)%branchR2(0:1))
      call avR2(3616, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2099/))

      call avR2(3616, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2098/))

      allocate(vertices(645)%branchR2(0:0))
      call avR2(645, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2732)%branchR2(0:0))
      call avR2(2732, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(956)%branchR2(0:0))
      call avR2(956, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2100)%branchR2(0:1))
      call avR2(2100, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2100, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2601)%branchR2(0:0))
      call avR2(2601, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3617)%branchR2(0:1))
      call avR2(3617, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2098/))

      call avR2(3617, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2183)%branchR2(0:0))
      call avR2(2183, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(3618)%branchR2(0:1))
      call avR2(3618, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2118/))

      call avR2(3618, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1528)%branchR2(0:1))
      call avR2(1528, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(1528, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(1254)%branchR2(0:1))
      call avR2(1254, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1254, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(3619)%branchR2(0:0))
      call avR2(3619, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(343)%branchR2(0:1))
      call avR2(343, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(343, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(3620)%branchR2(0:0))
      call avR2(3620, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(1652)%branchR2(0:0))
      call avR2(1652, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2966)%branchR2(0:0))
      call avR2(2966, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(596)%branchR2(0:0))
      call avR2(596, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3621)%branchR2(0:1))
      call avR2(3621, 0, 45, 1, 0, VVS0, (/2, 1/), (/nGC_1956/))

      call avR2(3621, 1, 46, 1, 0, VVS0, (/2, 1/), (/nGC_1957/))

      allocate(vertices(3622)%branchR2(0:0))
      call avR2(3622, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(969)%branchR2(0:0))
      call avR2(969, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2932)%branchR2(0:0))
      call avR2(2932, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2623)%branchR2(0:0))
      call avR2(2623, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1201)%branchR2(0:1))
      call avR2(1201, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1201, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3257/))

      allocate(vertices(1015)%branchR2(0:0))
      call avR2(1015, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3239)%branchR2(0:0))
      call avR2(3239, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2408)%branchR2(0:0))
      call avR2(2408, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(2785)%branchR2(0:0))
      call avR2(2785, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(2003)%branchR2(0:0))
      call avR2(2003, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(3623)%branchR2(0:0))
      call avR2(3623, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3624)%branchR2(0:1))
      call avR2(3624, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2154/))

      call avR2(3624, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2153/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(636)%branchR2(0:0))
      call avR2(636, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3625)%branchR2(0:1))
      call avR2(3625, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3625, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3398)%branchR2(0:0))
      call avR2(3398, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(2624)%branchR2(0:0))
      call avR2(2624, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3418)%branchR2(0:0))
      call avR2(3418, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(2582)%branchR2(0:1))
      call avR2(2582, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(2582, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(1907)%branchR2(0:0))
      call avR2(1907, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(3131)%branchR2(0:0))
      call avR2(3131, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(3409)%branchR2(0:0))
      call avR2(3409, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(800)%branchR2(0:0))
      call avR2(800, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2200,        &
      nGC_2201/))

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(733)%branchR2(0:0))
      call avR2(733, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(3191)%branchR2(0:0))
      call avR2(3191, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(3626)%branchR2(0:1))
      call avR2(3626, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2117/))

      call avR2(3626, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2118/))

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3627)%branchR2(0:1))
      call avR2(3627, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2196/))

      call avR2(3627, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2195/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1957)%branchR2(0:3))
      call avR2(1957, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1957, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(1957, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1957, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(3628)%branchR2(0:0))
      call avR2(3628, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3629)%branchR2(0:0))
      call avR2(3629, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2168)%branchR2(0:0))
      call avR2(2168, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2940)%branchR2(0:0))
      call avR2(2940, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3326)%branchR2(0:0))
      call avR2(3326, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(88)%branchR2(0:0))
      call avR2(88, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078, nGC_2076&
      /))

      allocate(vertices(1029)%branchR2(0:1))
      call avR2(1029, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1029, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(3230)%branchR2(0:0))
      call avR2(3230, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1770)%branchR2(0:0))
      call avR2(1770, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1990, nGC_1989/))

      allocate(vertices(3630)%branchR2(0:0))
      call avR2(3630, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2236)%branchR2(0:0))
      call avR2(2236, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1650)%branchR2(0:0))
      call avR2(1650, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3631)%branchR2(0:0))
      call avR2(3631, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2045, nGC_2045,       &
      nGC_2045/))

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3632)%branchR2(0:0))
      call avR2(3632, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3633)%branchR2(0:1))
      call avR2(3633, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      call avR2(3633, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2211, nGC_2211,      &
      nGC_2211/))

      allocate(vertices(2854)%branchR2(0:0))
      call avR2(2854, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2108)%branchR2(0:0))
      call avR2(2108, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(57)%branchR2(0:0))
      call avR2(57, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(637)%branchR2(0:0))
      call avR2(637, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(339)%branchR2(0:0))
      call avR2(339, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3147)%branchR2(0:0))
      call avR2(3147, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3415)%branchR2(0:0))
      call avR2(3415, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3513)%branchR2(0:0))
      call avR2(3513, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(297)%branchR2(0:1))
      call avR2(297, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(297, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2740)%branchR2(0:0))
      call avR2(2740, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(3422)%branchR2(0:0))
      call avR2(3422, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(79)%branchR2(0:1))
      call avR2(79, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(79, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3634)%branchR2(0:1))
      call avR2(3634, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      call avR2(3634, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2211, nGC_2211,      &
      nGC_2211/))

      allocate(vertices(2616)%branchR2(0:0))
      call avR2(2616, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3635)%branchR2(0:0))
      call avR2(3635, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1579)%branchR2(0:0))
      call avR2(1579, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1801)%branchR2(0:3))
      call avR2(1801, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1801, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1801, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1801, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2718)%branchR2(0:0))
      call avR2(2718, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1845)%branchR2(0:0))
      call avR2(1845, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3388)%branchR2(0:0))
      call avR2(3388, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1240)%branchR2(0:1))
      call avR2(1240, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1240, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3021)%branchR2(0:0))
      call avR2(3021, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(531)%branchR2(0:0))
      call avR2(531, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1277)%branchR2(0:0))
      call avR2(1277, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076, nGC_2078&
      /))

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2612)%branchR2(0:0))
      call avR2(2612, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2717)%branchR2(0:0))
      call avR2(2717, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(3276)%branchR2(0:0))
      call avR2(3276, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1609)%branchR2(0:1))
      call avR2(1609, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(1609, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1830)%branchR2(0:0))
      call avR2(1830, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1545)%branchR2(0:0))
      call avR2(1545, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(1547)%branchR2(0:0))
      call avR2(1547, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(2566)%branchR2(0:1))
      call avR2(2566, 0, 21, 1, 0, VFFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2566, 1, 21, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(598)%branchR2(0:0))
      call avR2(598, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(2285)%branchR2(0:0))
      call avR2(2285, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(765)%branchR2(0:0))
      call avR2(765, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3139)%branchR2(0:0))
      call avR2(3139, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(477)%branchR2(0:0))
      call avR2(477, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3636)%branchR2(0:1))
      call avR2(3636, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2211, nGC_2211,      &
      nGC_2211/))

      call avR2(3636, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2210, nGC_2210,      &
      nGC_2210/))

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(2671)%branchR2(0:0))
      call avR2(2671, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2156/))

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1778)%branchR2(0:0))
      call avR2(1778, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2429)%branchR2(0:0))
      call avR2(2429, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(655)%branchR2(0:0))
      call avR2(655, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1949)%branchR2(0:0))
      call avR2(1949, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(888)%branchR2(0:1))
      call avR2(888, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(888, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2728)%branchR2(0:0))
      call avR2(2728, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2283)%branchR2(0:1))
      call avR2(2283, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(2283, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(1124)%branchR2(0:0))
      call avR2(1124, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3487)%branchR2(0:0))
      call avR2(3487, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3637)%branchR2(0:0))
      call avR2(3637, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2801)%branchR2(0:0))
      call avR2(2801, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(34)%branchR2(0:0))
      call avR2(34, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(652)%branchR2(0:0))
      call avR2(652, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(3060)%branchR2(0:0))
      call avR2(3060, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(47)%branchR2(0:1))
      call avR2(47, 0, 20, 1, 0, VFaF1, (/0, 3/), (/nGC_1974/))

      call avR2(47, 1, 20, 1, 0, VFaF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(440)%branchR2(0:0))
      call avR2(440, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1990, nGC_1989/))

      allocate(vertices(3514)%branchR2(0:0))
      call avR2(3514, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1712)%branchR2(0:0))
      call avR2(1712, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1)%branchR2(0:3))
      call avR2(1, 0, 29, 1, 0, VFaF0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1, 1, 29, 1, 0, VFaF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1, 2, 28, 1, 0, VFaF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1, 3, 28, 1, 0, VFaF0, (/1, 2/), (/nGC_2005, nGC_2007/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2330)%branchR2(0:0))
      call avR2(2330, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2155/))

      allocate(vertices(2818)%branchR2(0:0))
      call avR2(2818, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(3232)%branchR2(0:0))
      call avR2(3232, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3638)%branchR2(0:1))
      call avR2(3638, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3638, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1606)%branchR2(0:0))
      call avR2(1606, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2661)%branchR2(0:1))
      call avR2(2661, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(2661, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(3224)%branchR2(0:0))
      call avR2(3224, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2564)%branchR2(0:0))
      call avR2(2564, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(162)%branchR2(0:0))
      call avR2(162, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1306)%branchR2(0:0))
      call avR2(1306, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(3639)%branchR2(0:1))
      call avR2(3639, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2207/))

      call avR2(3639, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(542)%branchR2(0:1))
      call avR2(542, 0, 17, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(542, 1, 17, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1343)%branchR2(0:1))
      call avR2(1343, 0, 21, 1, 0, VFFa0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(1343, 1, 21, 1, 0, VFFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1780)%branchR2(0:0))
      call avR2(1780, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1678, nGC_1677/))

      allocate(vertices(1678)%branchR2(0:0))
      call avR2(1678, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(3640)%branchR2(0:1))
      call avR2(3640, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3640, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(2138)%branchR2(0:1))
      call avR2(2138, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(2138, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(318)%branchR2(0:0))
      call avR2(318, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(806)%branchR2(0:0))
      call avR2(806, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1560)%branchR2(0:1))
      call avR2(1560, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1560, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(1382)%branchR2(0:0))
      call avR2(1382, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2131)%branchR2(0:0))
      call avR2(2131, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(894)%branchR2(0:1))
      call avR2(894, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(894, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3366)%branchR2(0:0))
      call avR2(3366, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1611)%branchR2(0:1))
      call avR2(1611, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1611, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(2181)%branchR2(0:0))
      call avR2(2181, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1876/))

      allocate(vertices(3641)%branchR2(0:0))
      call avR2(3641, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2526)%branchR2(0:0))
      call avR2(2526, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(307)%branchR2(0:0))
      call avR2(307, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(347)%branchR2(0:0))
      call avR2(347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1914)%branchR2(0:0))
      call avR2(1914, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3642)%branchR2(0:0))
      call avR2(3642, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3477)%branchR2(0:0))
      call avR2(3477, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3431)%branchR2(0:0))
      call avR2(3431, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1664, nGC_1663/))

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(1566)%branchR2(0:0))
      call avR2(1566, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2258)%branchR2(0:0))
      call avR2(2258, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2267)%branchR2(0:0))
      call avR2(2267, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3365)%branchR2(0:0))
      call avR2(3365, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1481)%branchR2(0:0))
      call avR2(1481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1193)%branchR2(0:1))
      call avR2(1193, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(1193, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3153)%branchR2(0:0))
      call avR2(3153, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1667, nGC_1665,        &
      nGC_1666/))

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3643)%branchR2(0:1))
      call avR2(3643, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3643, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2448)%branchR2(0:0))
      call avR2(2448, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(744)%branchR2(0:0))
      call avR2(744, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1460)%branchR2(0:0))
      call avR2(1460, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(433)%branchR2(0:1))
      call avR2(433, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(433, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2043,       &
      nGC_2042/))

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3644)%branchR2(0:0))
      call avR2(3644, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2107/))

      allocate(vertices(3306)%branchR2(0:0))
      call avR2(3306, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(2659)%branchR2(0:0))
      call avR2(2659, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1991/))

      allocate(vertices(3645)%branchR2(0:0))
      call avR2(3645, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2683)%branchR2(0:0))
      call avR2(2683, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(3293)%branchR2(0:1))
      call avR2(3293, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1709, nGC_1709/))

      call avR2(3293, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1710, nGC_1710/))

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(3646)%branchR2(0:0))
      call avR2(3646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(3149)%branchR2(0:0))
      call avR2(3149, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1210)%branchR2(0:0))
      call avR2(1210, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(497)%branchR2(0:0))
      call avR2(497, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3578)%branchR2(0:0))
      call avR2(3578, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2637)%branchR2(0:0))
      call avR2(2637, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1626)%branchR2(0:1))
      call avR2(1626, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(1626, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(49)%branchR2(0:0))
      call avR2(49, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1898)%branchR2(0:1))
      call avR2(1898, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1898, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1910)%branchR2(0:0))
      call avR2(1910, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(257)%branchR2(0:0))
      call avR2(257, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2974)%branchR2(0:0))
      call avR2(2974, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1012)%branchR2(0:0))
      call avR2(1012, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3246)%branchR2(0:0))
      call avR2(3246, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2560)%branchR2(0:1))
      call avR2(2560, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(2560, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(3492)%branchR2(0:0))
      call avR2(3492, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1410)%branchR2(0:1))
      call avR2(1410, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(1410, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(3528)%branchR2(0:0))
      call avR2(3528, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1593)%branchR2(0:0))
      call avR2(1593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2488)%branchR2(0:0))
      call avR2(2488, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(2000)%branchR2(0:0))
      call avR2(2000, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3647)%branchR2(0:0))
      call avR2(3647, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3288)%branchR2(0:0))
      call avR2(3288, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(770)%branchR2(0:0))
      call avR2(770, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2786)%branchR2(0:0))
      call avR2(2786, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2421)%branchR2(0:1))
      call avR2(2421, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(2421, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(550)%branchR2(0:0))
      call avR2(550, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3649)%branchR2(0:1))
      call avR2(3649, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3649, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2381)%branchR2(0:0))
      call avR2(2381, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(2507)%branchR2(0:0))
      call avR2(2507, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1937)%branchR2(0:0))
      call avR2(1937, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2154)%branchR2(0:0))
      call avR2(2154, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(3650)%branchR2(0:1))
      call avR2(3650, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2118/))

      call avR2(3650, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2652)%branchR2(0:0))
      call avR2(2652, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(1684)%branchR2(0:0))
      call avR2(1684, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1832)%branchR2(0:1))
      call avR2(1832, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1832, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3013)%branchR2(0:0))
      call avR2(3013, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(109)%branchR2(0:1))
      call avR2(109, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(109, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(1246)%branchR2(0:0))
      call avR2(1246, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2188/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3587)%branchR2(0:0))
      call avR2(3587, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3407)%branchR2(0:0))
      call avR2(3407, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2115/))

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(3651)%branchR2(0:0))
      call avR2(3651, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2053,       &
      nGC_2054/))

      allocate(vertices(1955)%branchR2(0:1))
      call avR2(1955, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1955, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(89)%branchR2(0:0))
      call avR2(89, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2253)%branchR2(0:0))
      call avR2(2253, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1825)%branchR2(0:0))
      call avR2(1825, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(214)%branchR2(0:0))
      call avR2(214, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2833)%branchR2(0:0))
      call avR2(2833, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1829)%branchR2(0:0))
      call avR2(1829, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1967)%branchR2(0:0))
      call avR2(1967, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(1316)%branchR2(0:0))
      call avR2(1316, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3450)%branchR2(0:0))
      call avR2(3450, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2691)%branchR2(0:0))
      call avR2(2691, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3652)%branchR2(0:0))
      call avR2(3652, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(2231)%branchR2(0:0))
      call avR2(2231, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2986)%branchR2(0:0))
      call avR2(2986, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3653)%branchR2(0:1))
      call avR2(3653, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2118/))

      call avR2(3653, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2117/))

      allocate(vertices(451)%branchR2(0:1))
      call avR2(451, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(451, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3654)%branchR2(0:0))
      call avR2(3654, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(865)%branchR2(0:0))
      call avR2(865, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2055/))

      allocate(vertices(594)%branchR2(0:0))
      call avR2(594, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1752)%branchR2(0:1))
      call avR2(1752, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1752, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2536)%branchR2(0:1))
      call avR2(2536, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(2536, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(2609)%branchR2(0:0))
      call avR2(2609, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3655)%branchR2(0:0))
      call avR2(3655, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2987)%branchR2(0:0))
      call avR2(2987, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2092/))

      allocate(vertices(2310)%branchR2(0:1))
      call avR2(2310, 0, 17, 1, 0, FaSF0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(2310, 1, 17, 1, 0, FaSF0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(1843)%branchR2(0:0))
      call avR2(1843, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2201,       &
      nGC_2200/))

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(44)%branchR2(0:1))
      call avR2(44, 0, 21, 1, 0, SFFa0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(44, 1, 21, 1, 0, SFFa0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1571)%branchR2(0:0))
      call avR2(1571, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2039)%branchR2(0:1))
      call avR2(2039, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(2039, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(3405)%branchR2(0:0))
      call avR2(3405, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(2233)%branchR2(0:0))
      call avR2(2233, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1274)%branchR2(0:1))
      call avR2(1274, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1274, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2583)%branchR2(0:0))
      call avR2(2583, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1716)%branchR2(0:0))
      call avR2(1716, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(3101)%branchR2(0:0))
      call avR2(3101, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3656)%branchR2(0:0))
      call avR2(3656, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(1561)%branchR2(0:0))
      call avR2(1561, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2796)%branchR2(0:0))
      call avR2(2796, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3236)%branchR2(0:0))
      call avR2(3236, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(45)%branchR2(0:0))
      call avR2(45, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1168)%branchR2(0:0))
      call avR2(1168, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1783/))

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1006)%branchR2(0:0))
      call avR2(1006, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(127)%branchR2(0:0))
      call avR2(127, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3657)%branchR2(0:1))
      call avR2(3657, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3657, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      allocate(vertices(1417)%branchR2(0:1))
      call avR2(1417, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1417, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3257/))

      allocate(vertices(2985)%branchR2(0:0))
      call avR2(2985, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1040)%branchR2(0:1))
      call avR2(1040, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1040, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2297)%branchR2(0:1))
      call avR2(2297, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(2297, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2073)%branchR2(0:0))
      call avR2(2073, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1101)%branchR2(0:0))
      call avR2(1101, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1580)%branchR2(0:0))
      call avR2(1580, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(3576)%branchR2(0:1))
      call avR2(3576, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1715, nGC_1715/))

      call avR2(3576, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1714, nGC_1714/))

      allocate(vertices(2675)%branchR2(0:0))
      call avR2(2675, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1249)%branchR2(0:1))
      call avR2(1249, 0, 19, 1, 0, FSFa1, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1249, 1, 19, 1, 0, FSFa1, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2781)%branchR2(0:0))
      call avR2(2781, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2089, nGC_2089,      &
      nGC_2089/))

      call avR2(3658, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2090, nGC_2090,      &
      nGC_2090/))

      allocate(vertices(1438)%branchR2(0:0))
      call avR2(1438, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2187/))

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3659)%branchR2(0:1))
      call avR2(3659, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2199/))

      call avR2(3659, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(3454)%branchR2(0:1))
      call avR2(3454, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1693, nGC_1693/))

      call avR2(3454, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1694, nGC_1694/))

      allocate(vertices(3385)%branchR2(0:0))
      call avR2(3385, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(2739)%branchR2(0:0))
      call avR2(2739, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3660)%branchR2(0:0))
      call avR2(3660, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2247)%branchR2(0:0))
      call avR2(2247, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3661)%branchR2(0:1))
      call avR2(3661, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2198/))

      call avR2(3661, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2224)%branchR2(0:0))
      call avR2(2224, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(728)%branchR2(0:0))
      call avR2(728, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2043,        &
      nGC_2042/))

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3662)%branchR2(0:1))
      call avR2(3662, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2196/))

      call avR2(3662, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2195/))

      allocate(vertices(2803)%branchR2(0:0))
      call avR2(2803, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1686, nGC_1684,        &
      nGC_1685/))

      allocate(vertices(209)%branchR2(0:0))
      call avR2(209, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2055)%branchR2(0:0))
      call avR2(2055, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3189)%branchR2(0:0))
      call avR2(3189, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2462)%branchR2(0:0))
      call avR2(2462, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(2002)%branchR2(0:0))
      call avR2(2002, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3380)%branchR2(0:0))
      call avR2(3380, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(3663)%branchR2(0:5))
      call avR2(3663, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3663, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3663, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3663, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3663, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3663, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      allocate(vertices(3281)%branchR2(0:0))
      call avR2(3281, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(1577)%branchR2(0:0))
      call avR2(1577, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2876)%branchR2(0:0))
      call avR2(2876, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1309)%branchR2(0:0))
      call avR2(1309, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(3001)%branchR2(0:0))
      call avR2(3001, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3459)%branchR2(0:0))
      call avR2(3459, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1900)%branchR2(0:3))
      call avR2(1900, 0, 22, 1, 0, FaVF0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1900, 1, 22, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1900, 2, 23, 1, 0, FaVF0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1900, 3, 23, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1145)%branchR2(0:0))
      call avR2(1145, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1990, nGC_1989/))

      allocate(vertices(2874)%branchR2(0:0))
      call avR2(2874, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1909)%branchR2(0:0))
      call avR2(1909, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2110)%branchR2(0:0))
      call avR2(2110, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3553)%branchR2(0:0))
      call avR2(3553, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2307)%branchR2(0:0))
      call avR2(2307, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(2167)%branchR2(0:0))
      call avR2(2167, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2738)%branchR2(0:0))
      call avR2(2738, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1658, nGC_1657/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(799)%branchR2(0:0))
      call avR2(799, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(1071)%branchR2(0:0))
      call avR2(1071, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2508)%branchR2(0:1))
      call avR2(2508, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(2508, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(833)%branchR2(0:1))
      call avR2(833, 0, 19, 1, 0, FVFa0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(833, 1, 19, 1, 0, FVFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(325)%branchR2(0:0))
      call avR2(325, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1070)%branchR2(0:1))
      call avR2(1070, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1070, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(3664)%branchR2(0:0))
      call avR2(3664, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1734)%branchR2(0:0))
      call avR2(1734, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(1582)%branchR2(0:0))
      call avR2(1582, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3056)%branchR2(0:0))
      call avR2(3056, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1708/))

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2054)%branchR2(0:1))
      call avR2(2054, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(2054, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1497)%branchR2(0:0))
      call avR2(1497, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3086)%branchR2(0:0))
      call avR2(3086, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3666)%branchR2(0:0))
      call avR2(3666, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2042)%branchR2(0:0))
      call avR2(2042, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(766)%branchR2(0:0))
      call avR2(766, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3136)%branchR2(0:0))
      call avR2(3136, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(1925)%branchR2(0:0))
      call avR2(1925, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(3146)%branchR2(0:0))
      call avR2(3146, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(3667)%branchR2(0:1))
      call avR2(3667, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2171/))

      call avR2(3667, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(3515)%branchR2(0:0))
      call avR2(3515, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(384)%branchR2(0:0))
      call avR2(384, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(3668)%branchR2(0:1))
      call avR2(3668, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2198/))

      call avR2(3668, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2477)%branchR2(0:1))
      call avR2(2477, 0, 20, 1, 0, VFaF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2477, 1, 20, 1, 0, VFaF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2135)%branchR2(0:0))
      call avR2(2135, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2051)%branchR2(0:0))
      call avR2(2051, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(1509)%branchR2(0:1))
      call avR2(1509, 0, 20, 1, 0, SFaF0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(1509, 1, 20, 1, 0, SFaF0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(3054)%branchR2(0:0))
      call avR2(3054, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1662, nGC_1661/))

      allocate(vertices(3316)%branchR2(0:0))
      call avR2(3316, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1871)%branchR2(0:0))
      call avR2(1871, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2206, nGC_2205,       &
      nGC_2206/))

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(2266)%branchR2(0:0))
      call avR2(2266, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1144)%branchR2(0:0))
      call avR2(1144, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1766)%branchR2(0:1))
      call avR2(1766, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1972/))

      call avR2(1766, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3573)%branchR2(0:0))
      call avR2(3573, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3497)%branchR2(0:0))
      call avR2(3497, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2201, nGC_2202,       &
      nGC_2200/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1552)%branchR2(0:0))
      call avR2(1552, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(3669)%branchR2(0:0))
      call avR2(3669, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2480)%branchR2(0:0))
      call avR2(2480, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2557)%branchR2(0:0))
      call avR2(2557, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(1551)%branchR2(0:0))
      call avR2(1551, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3484)%branchR2(0:0))
      call avR2(3484, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1189)%branchR2(0:0))
      call avR2(1189, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(966)%branchR2(0:0))
      call avR2(966, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2641)%branchR2(0:1))
      call avR2(2641, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(2641, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2835)%branchR2(0:0))
      call avR2(2835, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(1717)%branchR2(0:0))
      call avR2(1717, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2018)%branchR2(0:0))
      call avR2(2018, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(59)%branchR2(0:0))
      call avR2(59, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(2779)%branchR2(0:0))
      call avR2(2779, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1664, nGC_1663/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(244)%branchR2(0:1))
      call avR2(244, 0, 17, 1, 0, FaVF0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(244, 1, 17, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1664)%branchR2(0:1))
      call avR2(1664, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(1664, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1961)%branchR2(0:0))
      call avR2(1961, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1906)%branchR2(0:0))
      call avR2(1906, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3503)%branchR2(0:0))
      call avR2(3503, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(908)%branchR2(0:1))
      call avR2(908, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(908, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(3670)%branchR2(0:1))
      call avR2(3670, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2199/))

      call avR2(3670, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2198/))

      allocate(vertices(1143)%branchR2(0:0))
      call avR2(1143, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1415)%branchR2(0:0))
      call avR2(1415, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2116/))

      allocate(vertices(2023)%branchR2(0:0))
      call avR2(2023, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(3671)%branchR2(0:0))
      call avR2(3671, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(1739)%branchR2(0:0))
      call avR2(1739, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2091/))

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3672)%branchR2(0:0))
      call avR2(3672, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2044/))

      allocate(vertices(3053)%branchR2(0:0))
      call avR2(3053, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1223)%branchR2(0:0))
      call avR2(1223, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(810)%branchR2(0:0))
      call avR2(810, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2013)%branchR2(0:0))
      call avR2(2013, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(628)%branchR2(0:1))
      call avR2(628, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(628, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(388)%branchR2(0:0))
      call avR2(388, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
